Get a staking contract
Get a staking contract
GET https://api.meria.com/v1/stakings/:currencyCode
This endpoint allows to get an owned staking contract.
Path Parameters
Name
Type
Description
currencyCode
string
Currency code of staking contract (example : ATOM, XTZ, ...)
Headers
Name
Type
Description
API-KEY
string
Authentification token
{
"success": true,
"data": {
"currencyCode": "KAVA",
"amount": 75,
"reward": 0.01027898,
"lockedReward": 0,
"startDate": 1590582716,
"variations": [
{
"amount": 75,
"date": 1590582716,
"effectiveDate": 1590669116,
"applied": 1
}
],
"credits": [
{
"amount": 0.00432936,
"date": 1590710400,
"releaseDate": false,
"released": 1
},
{
"amount": 0.00594962,
"date": 1590624000,
"releaseDate": false,
"released": 1
}
]
}
}Last updated
Was this helpful?